Subject: Re: [bug#47069] [PATCH] etc: Run pre-push make in guix environment.

From: Leo Prikler <[email-masked]>
Date: Fri, 26 Mar 2021 11:11:59 +0100

Am Freitag, den 26.03.2021, 09:20 +0100 schrieb zimoun:
> Hi Tobias,
> 
> On Thu, 11 Mar 2021 at 15:42, Tobias Geerinckx-Rice <[email-masked]>
> wrote:
> > * etc/git/pre-push: Exec make in a guix development environment.
> > ---
> > The pre-push assumes you have make installed, which I didn't.
> 
> How do you rebuild Guix before pushing?
If that's a problem for the script, you could add an explicit 'all'
target.  

That said, I think, that many developers (myself included), who would
suffer from the problem mentioned by Tobias already run 'git push'
inside a guix environment.  I know I do.  
@Tobias: would it make sense to detect that case (via GUIX_ENVIRONMENT)
and only optionally construct the guix environment?

Regards,
Leo